vec3d = {}
vec3d.__index = vec3d
--vector class
function vec3d.new(x1,y1,z1)
    local instance = setmetatable({}, vec3d)
    instance.x = x1
    instance.y = y1
    instance.z = z1
    return instance
end


Triangle = {}
Triangle.__index = Triangle
--Triangle class
function Triangle.new(vertices)
    local instance = setmetatable({}, Triangle)
    instance.vertices = vertices
    return instance
end
--class for meshes (array of triangles)
Mesh = {}
Mesh.__index = Mesh

function Mesh.new(triangles)
    local instance = setmetatable({}, Mesh)
    instance.triangles = triangles
    return instance
end
